<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->
<div class="ag-grid-filter-container">
  <div class="ag-grid-filter">
    <input mdInput class="ag-grid-filter-text" [(ngModel)]="filterText" name="'filterText'" (input)="filterCheckboxList($event.target.value)" />
  </div>
  <div class="ag-grid-filter">
    <div class="checkbox">
      <label
        ><input type="checkbox" (change)="selectAll($event)" [checked]="selectAllChecked" /><span>{{ 'GridFailures.SelectAll' | translate }}</span></label
      >
    </div>
  </div>
  <div class="ag-grid-filter-checkbox">
    <label *ngFor="let setItem of setItems | keyvalue" style="display: block;">
      <input
        type="checkbox"
        [checked]="setItem.value.checked"
        (change)="notifyFilter($event)"
        [id]="setItem?.key"
        *ngIf="setItem.key != 'null' && setItem.key != ''"
      />
      <span *ngIf="setItem.key != 'null' && setItem.key != ''">{{ setItem?.key }}</span>
    </label>
    <label *ngFor="let setItem of setItems | keyvalue" style="display: block;">
      <input
        type="checkbox"
        [checked]="setItem.value.checked"
        (change)="notifyFilter($event)"
        [id]="setItem?.key"
        *ngIf="setItem.key == 'null' && setItem.key != ''"
      />
      <span *ngIf="setItem.key == 'null' && setItem.key != ''">{{ 'GridFailures.NullValue' | translate }}</span>
    </label>
  </div>
</div>
